=== debian/changelog ===
ros-iron-nav2-collision-monitor (1.2.2-2jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Alexey Merzlyakov <alexey.merzlyakov@samsung.com>  Mon, 11 Sep 2023 03:38:13 -0000
